package com.bootdo.system.service;

import com.bootdo.system.domain.QueryDO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 18:29:04
 */
@Service
public interface QueryService {
	
	QueryDO get(Long id);
	
	List<QueryDO> list(Map<String, Object> map);
	
	int count(Map<String, Object> map);
	
	int save(QueryDO query);
	
	int update(QueryDO query);
	
	int remove(Long id);
	
	int batchRemove(Long[] ids);
}
